> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデル チェックポイントを一覧表示



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json get /v1/preview/models/{model_id}/checkpoints
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/models/{model_id}/checkpoints:
    get:
      tags:
        - models
      summary: モデル チェックポイントを一覧表示
      operationId: list_model_checkpoints_v1_preview_models__model_id__checkpoints_get
      parameters:
        - in: path
          name: model_id
          required: true
          schema:
            title: Model Id
            type: string
        - description: ページネーション用カーソル - 前のページの最後の項目のID
          in: query
          name: after
          required: false
          schema:
            description: ページネーション用カーソル - 前のページの最後の項目のID
            title: After
            type: string
        - description: 返される項目数
          in: query
          name: limit
          required: false
          schema:
            default: 20
            description: 返される項目数
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - description: 並べ替え順
          in: query
          name: order
          required: false
          schema:
            default: asc
            description: 並べ替え順
            enum:
              - asc
              - desc
            title: Order
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_CheckpointResponse_'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_CheckpointResponse_:
      properties:
        data:
          description: 項目の配列
          items:
            $ref: '#/components/schemas/CheckpointResponse'
          title: Data
          type: array
        first_id:
          default: ''
          description: 現在のページの最初の項目の ID
          title: First Id
          type: string
        has_more:
          description: 利用可能な項目がさらにあるかどうか
          title: Has More
          type: boolean
        last_id:
          default: ''
          description: 現在のページの最後の項目の ID
          title: Last Id
          type: string
        object:
          default: list
          description: オブジェクトのタイプ識別子
          title: Object
          type: string
      required:
        - data
        - has_more
      title: PaginatedResponse[CheckpointResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CheckpointResponse:
      description: Checkpoint Response のスキーマ。
      properties:
        id:
          format: uuid
          title: Id
          type: string
        metrics:
          additionalProperties:
            type: number
          title: Metrics
          type: object
        step:
          title: Step
          type: integer
      required:
        - id
        - step
        - metrics
      title: CheckpointResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````